
// Fonction de survol
function rollover(id,src) {	
	if(document.getElementById(id).style.backgroundImage!='url(images/fond2.jpg)')
	{ document.getElementById(id).style.backgroundImage='url('+src+')';}


}

// changement de fond de l'onglet cliqué
function clic(id,src) {	
	//mise à jour de l'image de l'onglet
	elList = document.getElementsByTagName("DIV");
	for (i = 0; i < elList.length; i++)
	{
		if(elList[i].id=="achat" || elList[i].id=="vente" || elList[i].id=="modif")
		{
			elList[i].style.backgroundImage='url(images/fond1.jpg)';
		}
	}
	if(document.getElementById(id).style.backgroundImage!='url(images/fond2.jpg)')
	{ document.getElementById(id).style.backgroundImage='url('+src+')';}


}



// Cette fonction charge dans le cache toutes les images passées en paramètre
function preload() {
	var temp=new load("images/fond3.jpg","images/fond1.jpg", "images/fond2.jpg")
}


/**
* Méthode qui affiche les mimichant que l'on peut acheter
*/
function listingAchat(){
	//affichage des mimichantsr
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("listeObjet").innerHTML = xhr.responseText;
			afficheChocopepites();
		}
	}
	xhr.open("POST","listeAchat",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send(null);
}



/**
* Méthode qui affiche les objets que l'on peut acheter
*/
function listeAchat(iddiv,src){
	//mise à jour de l'image de l'onglet
	clic(iddiv,src);
	
	//affichage des objets à acheter
	listingAchat();
	
	document.getElementById("affChoix").innerHTML = ""; 
}



/**
* Méthode qui traite l'achat du mimichant passé en paramètre
*/
function traiterAchat(id, nom){
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			var rep=xhr.responseText;
		  //on rafraichit la liste des mimichants
		  listingAchat();
			document.getElementById("affChoix").innerHTML = rep;
		}
	}
	xhr.open("POST","traiterAchat.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id+"&nom="+nom);
}

/**
* Méthode qui affiche les objets que l'on peut vendre
*/
function listingVente(){
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("listeObjet").innerHTML = xhr.responseText;
			afficheChocopepites();
		}
	}
	xhr.open("POST","listeVente.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send(null);
}


/**
* Méthode qui affiche les objets que l'on peut vendre et met en valeur l'onglet selectionné
*/
function listeVente(iddiv,src){
	//mise à jour de l'image de l'onglet
	clic(iddiv,src);
	
	//affichage des objets à acheter
	listingVente();
	
	document.getElementById("affChoix").innerHTML = ""; 
}

/**
* Méthode qui affiche les mimichants de l'utilisateur mis en vente afin de pouvoir modifier la mise en vente
*/
function listingModif(){
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("listeObjet").innerHTML = xhr.responseText;
			afficheChocopepites();
		}
	}
	xhr.open("POST","listeModif.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send(null);
}

/**
* Méthode qui affiche les mimichants de l'utilisateur mis en vente afin de pouvoir modifier la mise en vente
*/
function listeModif(iddiv,src){
	//mise à jour de l'image de l'onglet
	clic(iddiv,src);
	
	//affichage des mimichants de l'utilisateur mis en vente
	listingModif();
	
	document.getElementById("affChoix").innerHTML = ""; 
}


/**
* Méthode qui affiche le nombre de chocopepites
*/
function afficheChocopepites(){
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("affChoco").innerHTML = xhr.responseText; 
		}
	}
	xhr.open("POST","afficheChocopepites.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send(null);
}

/**
* Méthode qui affiche l'objet sélectionné pour un achat
*/
function selectAchat(id, idtr, nom, prix){
	//mise en valeur de l'objet sélectioné
	elList = document.getElementsByTagName("TR");
	for (i = 0; i < elList.length; i++)
	{
		if(elList[i].id!='')
		{
			elList[i].style.backgroundColor='#ffffff';
		}
		if(elList[i].id==idtr ) elList[i].style.backgroundColor='#BCF59F';
	} 
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("affChoix").innerHTML = xhr.responseText;
		}
	}
	xhr.open("POST","selectAchat.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id+"&nom="+nom+"&prix="+prix);
}

/**
* Méthode qui affiche l'objet sélectionné pour un achat
*/
function selectVente(id, idtr, nom, prix){
	//mise en valeur de l'objet sélectioné
	elList = document.getElementsByTagName("TR");
	for (i = 0; i < elList.length; i++)
	{
		if(elList[i].id!='')
		{
			elList[i].style.backgroundColor='#ffffff';
		}
		if(elList[i].id==idtr ) elList[i].style.backgroundColor='#BCF59F';
	} 
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("affChoix").innerHTML = xhr.responseText;
		}
	}
	xhr.open("POST","selectVente.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id+"&nom="+nom+"&prix="+prix);
}

/**
* Méthode qui traite la mise en vente d'un mimichant
*/
function traiterVente(idMimichant, nom){
  //recuperation de la valeur saisie
	var nb=document.getElementById("nbChoco").value;
	
	if(nb=="")
	{
	   document.getElementById("alerte").innerHTML ="<b>Veuillez saisir une somme</b>";
	}
	else
	{
     if (nb.search(/^[0-9]*$/) == -1) 
     {
        document.getElementById("alerte").innerHTML ="<b>La somme saisie ne doit contenir que des chiffres</b>";
      }
      else 
      {
          //traitement de la vente
        	getXhr()
	       // On défini ce qu'on va faire quand on aura la réponse
	       xhr.onreadystatechange = function(){
		        // On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		        if(xhr.readyState == 4 && xhr.status == 200){
		           var rep=xhr.responseText;
		           //on rafraichit la liste des mimichants
		           listingVente();
			         document.getElementById("affChoix").innerHTML = rep;
		        }
	        }
	     xhr.open("POST","traiterVente.php",true);
	     xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	     xhr.send("id="+idMimichant+"&nbChoco="+nb+"&nom="+nom);
	   }
	}
}

/**
* Méthode qui retire de la vente un mimichant
*/
function retirerVente(idMimichant, nom){
   //traitement de la vente
   getXhr()
	 // On défini ce qu'on va faire quand on aura la réponse
	 xhr.onreadystatechange = function(){
		   // On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		   if(xhr.readyState == 4 && xhr.status == 200){
		        var rep=xhr.responseText;
		        //on rafraichit la liste des mimichants
		        listingModif();
			      document.getElementById("affChoix").innerHTML = rep;
		   }
	 }
	 xhr.open("POST","retirerVente.php",true);
	 xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	 xhr.send("id="+idMimichant+"&nom="+nom);
	
}

/**
* Méthode qui affiche le mimichant selectionné pour modifier sa mise en vente
*/
function selectModif(id, idtr, nom, prix){
	//mise en valeur de l'objet sélectioné
	elList = document.getElementsByTagName("TR");
	for (i = 0; i < elList.length; i++)
	{
		if(elList[i].id!='')
		{
			elList[i].style.backgroundColor='#ffffff';
		}
		if(elList[i].id==idtr ) elList[i].style.backgroundColor='#BCF59F';
	} 
	
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("affChoix").innerHTML = xhr.responseText;
		}
	}
	xhr.open("POST","selectModif.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id+"&nom="+nom+"&prix="+prix);
}

/**
* Méthode qui affiche le formulaire de modification du prix
*/
function modifierPrix(id, nom, prix){
	//affichage des objets à acheter
	getXhr()
	// On défini ce qu'on va faire quand on aura la réponse
	xhr.onreadystatechange = function(){
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200){
			document.getElementById("affChoix").innerHTML = xhr.responseText;
		}
	}
	xhr.open("POST","modifierPrix.php",true);
	xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.send("id="+id+"&nom="+nom+"&prix="+prix);
}

/**
* Méthode qui traite la modification du prix de vente du mimichant
*/
function traiterModifPrix(idMimichant, nom){
  //recuperation de la valeur saisie
	var nb=document.getElementById("nbChoco").value;
	var prix=document.getElementById("prix").innerHTML;
	
	
	if(nb=="")
	{
	   document.getElementById("alerte").innerHTML ="<b>Veuillez saisir une somme</b>";
	}
	else
	{
      if (nb.search(/^[0-9]*$/) == -1) 
      {
        document.getElementById("alerte").innerHTML ="<b>La somme saisie ne doit contenir que des chiffres</b>";
      }
      else 
      {
	  		if (parseInt(nb)>parseInt(prix)) 
      		{
				document.getElementById("alerte").innerHTML ="<b>La somme saisie doit &ecirc;tre inf&eacute;rieure au prix de base</b>";
      		}
      		else 
      		{
          		//traitement de la vente
        		getXhr()
	       		// On défini ce qu'on va faire quand on aura la réponse
	       		xhr.onreadystatechange = function(){
		        	// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		        	if(xhr.readyState == 4 && xhr.status == 200){
		           		var rep=xhr.responseText;
		           		//on rafraichit la liste des mimichants
		           		listingModif();
			         	document.getElementById("affChoix").innerHTML = rep;
		        	}
	        	}
	     		xhr.open("POST","traiterModifPrix.php",true);
	     		xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	     		xhr.send("id="+idMimichant+"&nbChoco="+nb+"&nom="+nom);
		  }
	   }
	}
}

preload()
